﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Net;
using Syncfusion.JavaScript;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {

            var DataSource = OrderRepository.GetAllRecords().ToList();
            ViewBag.data = DataSource;
            return View();
        }
     
        public ActionResult ChildUpdate(EditableOrder value)
        {
            //do your operations here
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult ChildInsert(EditableOrder value)
        {
            //do your operations here
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult ChildDelete(int key)
        {
            //do your operations here
            var data = OrderRepository.GetAllRecords().ToList();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}